class LinkData {
  String title;
  String description;
  String url;
  String image;
  String type;
  String siteName;

  LinkData(
      {this.title,
      this.description,
      this.url,
      this.image,
      this.type,
      this.siteName});

  LinkData.fromJson(Map<String, dynamic> json) {
    title = json['title'];
    description = json['description'];
    url = json['url'];
    image = json['image'];
    type = json['type'];
    siteName = json['site_name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title'] = this.title;
    data['description'] = this.description;
    data['url'] = this.url;
    data['image'] = this.image;
    data['type'] = this.type;
    data['site_name'] = this.siteName;
    return data;
  }
}
